# $Revision: 1.54 $, $Date: 2005/09/17 12:00:34 $
Summary:	Xscorch - clone of the classic DOS game "Scorched Earth"
Summary(pl):	Xscorch - klon klasycznej gry "Scorched Earth"
Name:		xscorch
Version:	0.2.0
Release:	3
License:	GPL
Group:		X11/Applications/Games
Source0:	http://chaos2.org/xscorch/%{name}-%{version}.tar.gz
# Source0-md5:	42862dbde1d0ebf87be30f7e04462a66
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-gtk24.patch
Icon:		xscorch.xpm
URL:		http://chaos2.org/xscorch/
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.2.0
#BuildRequires:	libmikmod-devel >= 3.1.9
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	readline-devel
Requires:	gtk+2 >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xscorch is a clone of the classic DOS game, "Scorched Earth". The
basic goal is to annihilate enemy tanks using overpowered guns :).
Basically, you buy weapons, you target the enemy by adjusting the
angle of your turret and firing power, and you hope to destroy their
tank before they destroy yours.

%description -l pl
Xscorch to klon klasycznej gry "Scorched Earth". Celem gry jest
zniszczenie czogw przeciwnikw przy pomocy naprawd mocnych broni
:-). Po prostu kupujesz bro, celujesz do przeciwnika ustawiajc kt
podniesienia lufy oraz si strzau i masz nadziej, e zniszczysz ich
czogi, zanim oni zniszcz twj.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
# sound disabled - it's useless (no sound files yet), so there is no
# reason to require libmikmod
%configure \
	--enable-network \
	--disable-sound \
	--without-gtk-12

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/xscorch
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xscorch.spec,v $
Revision 1.54  2005/09/17 12:00:34  arekm
- new readline, 5.0

Revision 1.53  2004/12/09 12:08:34  paladine
- rel 2 for fixed desktop file

Revision 1.52  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.51  2004/11/27 18:52:10  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.50  2004/03/26 20:27:44  qboosh
- added gtk24 patch (workaround to build on gtk+ 2.4.x)

Revision 1.49  2004/03/26 14:07:51  undefine
- update to 0.2.0

Revision 1.48  2004/02/15 18:51:26  qboosh
- release 2

Revision 1.47  2004/02/15 18:51:09  qboosh
- cleanups, switched to gtk+2

Revision 1.46  2004/02/15 13:55:12  undefine
- uncomment icon... this was bad idea...

Revision 1.45  2004/02/15 12:05:59  undefine
- comment icon - problably it block distfiles and they don't fetch sources

Revision 1.44  2004/02/15 00:09:26  undefine
- update to 0.1.16, disable ac/am, only copy config.sub

Revision 1.43  2003/07/15 23:45:42  undefine
- more specific BR

Revision 1.42  2003/07/15 23:36:41  undefine
- BR: libmikmod

Revision 1.41  2003/06/23 14:25:04  ankry
- md5

Revision 1.40  2003/05/25 06:28:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/03/07 14:43:32  ankry
- desktop moved to Games/Strategy/, rel. 2

Revision 1.38  2003/02/28 10:09:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.37  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.36  2003/01/05 13:47:03  blues
- readded ac-stuff regeneration.

Revision 1.35  2002/12/30 20:26:21  qboosh
- 0.1.15
- disabled useless sound for now
- disabled rebuilding ac/am/lt due to problems with current libtool

Revision 1.34  2002/12/29 23:05:47  qboosh
- updated URLs

Revision 1.33  2002/11/29 22:48:23  ankry
- massive attack: new %%doc

Revision 1.32  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.30  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2002/01/06 12:02:04  kloczek
- updated to 0.1.14 (bug fixes + new factures + improvments = new stable version).

Revision 1.25  2001/12/20 12:18:22  qboosh
- updated Groups, release 3

Revision 1.24  2001/07/29 19:31:46  migo
- typo in description

Revision 1.23  2001/07/25 08:38:43  kloczek
- release 2.

Revision 1.22  2001/07/24 21:45:25  mkierus
- added patch to 0.1.13a

Revision 1.21  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.20  2001/07/15 04:12:12  kloczek
- updated to 0.1.13.

Revision 1.19  2001/07/13 18:40:53  kloczek
- updated to 0.1.12,
- regenerate ac/am/lt files (spec is ac 2.50 ready).

Revision 1.18  2001/05/30 01:58:19  kloczek
- updated to 0.1.11a.

Revision 1.17  2001/05/03 07:30:26  kloczek
- updated to 0.1.11.

Revision 1.16  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.15  2001/01/14 16:56:33  kloczek
- updated to 0.1.10.

Revision 1.14  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.12  2000/08/16 18:34:20  kloczek
- updated to 0.1.9.

Revision 1.11  2000/07/25 04:53:05  kloczek
- updated to 0.1.8.

Revision 1.10  2000/07/21 18:24:23  kloczek
- updated to 0.1.7.

Revision 1.9  2000/07/01 15:16:30  kloczek
- removed automake from BuildRequires and %build.

Revision 1.8  2000/07/01 15:09:12  kloczek
- updated to 0.1.6,
- removed DESTDIR patch (now integrated in this version).

Revision 1.7  2000/06/28 04:36:25  kloczek
- updated to 0.1.5.

Revision 1.6  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/31 16:16:28  kloczek
- updated %files: added %%{_datadir}/xscorch.

Revision 1.3  2000/05/31 16:05:38  kloczek
- updated to 0.1.3.

Revision 1.2  2000/05/16 21:08:36  kloczek
- updated to 0.1.1,
- added package icon and desktop file,
- added DESTDIR patch.

Revision 1.1  2000/05/02 09:21:00  kloczek
- written from scrach (NFY).
